Subject: Re: Allocator MAX_ORDER exceeds SECTION_SIZE

From: Michael Buesch <[email-masked]>
Date: Sun, 10 Jan 2010 19:15:55 +0100

On Sunday 10 January 2010 14:31:09 Michael Buesch wrote:
> I get the following compilation failure, if 64k pages is selected
> on 2.6.32.3 on a PowerMAC config:
> 
> include/linux/mmzone.h:947:2: error: #error Allocator MAX_ORDER exceeds SECTION_SIZE
> 
> Any idea?
> 

Ok, I figured out that lowering CONFIG_FORCE_MAX_ZONEORDER from 13 to 9
seems to fix the problem.
That error message could really need some improvement and at least a hint on what to do and why.

I'm also wondering, if the kconfig entry for CONFIG_FORCE_MAX_ZONEORDER could
somehow be limited to 9, if 64k pages is enabled.

-- 
Greetings, Michael.